Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1366599 - Image List shows "Unknown image source" for images
Summary: Image List shows "Unknown image source" for images
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.6.2
Assignee: Zohar Gal-Or
QA Contact: Einat Pacifici
URL:
Whiteboard: container
Depends On: 1365878
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-12 12:22 UTC by John Prause
Modified: 2016-10-04 14:30 UTC (History)
10 users (show)

Fixed In Version: 5.6.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1365878
Environment:
Last Closed: 2016-10-04 14:30:51 UTC
Category: ---
Cloudforms Team: ---


Attachments (Terms of Use)
List showning unknown image source (deleted)
2016-09-25 06:29 UTC, Einat Pacifici
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1996 normal SHIPPED_LIVE Important: CFME 4.1 bug fixes and enhancement update 2016-10-04 18:26:13 UTC

Comment 1 Einat Pacifici 2016-09-25 06:29:36 UTC
Created attachment 1204484 [details]
List showning unknown image source

Assigned. Still seeing Unknown Image source.

Comment 2 Zohar Gal-Or 2016-09-25 07:56:55 UTC
This is not a bug.
In some cases the image name is missing a registry and the list will still show "Unknown Image Source". For example "openshift3/ose-docker-registry:v3.2.1.15". Image parser recognizes "openshift3/ose-docker-registry" as name and "v3.2.1.15" as tag, but there is no registry.

In order to find the registry, the parser looks for "." before the first "/".
like in "docker.io/openshift/image-inspector:2.0". Registry will be "docker.io".

Before the fix the parser failed to recognize registries with more than one "." like "registry.access.redhat.com/openshift3/metrics-cassandra:3.2.1".

Now, after the fix (as we can see in the screenshot) this image registry is parsed correctly to "registry.access.redhat.com".

Hope this clarifies use cases.

Comment 3 Einat Pacifici 2016-09-26 10:26:31 UTC
Verified.

Comment 5 errata-xmlrpc 2016-10-04 14:30:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-1996.html


Note You need to log in before you can comment on or make changes to this bug.